Name:           intel-undervolt
Version:        1.7
Release:        %mkrel 3
Summary:        Intel CPU undervolting and throttling configuration tool
Group:          System/Kernel and hardware
License:        GPLv3
URL:            https://github.com/kitsunyan/intel-undervolt
Source0:        https://github.com/kitsunyan/intel-undervolt/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(libsystemd)

%description
intel-undervolt is a tool for undervolting and throttling limits
alteration for Intel CPUs.

Undervolting works on Haswell and newer CPUs and based on the content
of this article: https://github.com/mihic/linux-intel-undervolt

DISCLAIMER: This tool may damage your hardware since it uses reverse
engineered methods of MSR usage. Use it on your own risk.
Review the README for usage instructions.

%prep
%autosetup -p1

# Cant build with proper build flags on Fedora
# * https://github.com/kitsunyan/intel-undervolt/issues/31
sed -i 's|CFLAGS =|CFLAGS =%{build_cflags}|' Makefile.in

%build
%configure --enable-systemd
%make_build

%install
%make_install

%files
%doc README.md
%license COPYING
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_unitdir}/%{name}*.service


%changelog
* Thu Mar 24 2022 umeabot <umeabot> 1.7-3.mga9
+ Revision: 1824218
- Mageia 9 Mass Rebuild

* Thu Feb 20 2020 umeabot <umeabot> 1.7-2.mga8
+ Revision: 1547637
- Mageia 8 Mass Rebuild

* Sun Feb 09 2020 daviddavid <daviddavid> 1.7-1.mga8
+ Revision: 1488160
- new version: 1.7
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Mon Apr 08 2019 akien <akien> 1.6-1.mga7
+ Revision: 1386830
- imported package intel-undervolt

